## org.apache.poi.hssf.record.chart
Class SeriesLabelsRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.SeriesLabelsRecord

    public final class SeriesLabelsRecord

extends StandardRecord

The series label record defines the type of label associated with the data format record.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`SeriesLabelsRecord()`
`SeriesLabelsRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getFormatFlags()` Get the format flags field for the SeriesLabels record.
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isLabelAsPercentage()` show category label/value as percentage (pie charts only)
`boolean` `isShowActual()` show actual value of the data point
`boolean` `isShowBubbleSizes()` ??
`boolean` `isShowLabel()` display category label
`boolean` `isShowPercent()` show value as percentage of total (pie charts only)
`boolean` `isSmoothedLine()` show smooth line
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setFormatFlags(short field_1_formatFlags)` Set the format flags field for the SeriesLabels record.
`void` `setLabelAsPercentage(boolean value)` Sets the label as percentage field value.
`void` `setShowActual(boolean value)` Sets the show actual field value.
`void` `setShowBubbleSizes(boolean value)` Sets the show bubble sizes field value.
`void` `setShowLabel(boolean value)` Sets the show label field value.
`void` `setShowPercent(boolean value)` Sets the show percent field value.
`void` `setSmoothedLine(boolean value)` Sets the smoothed line field value.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SeriesLabelsRecord

    public SeriesLabelsRecord()

### SeriesLabelsRecord

    public SeriesLabelsRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getFormatFlags

    public short getFormatFlags()

  Get the format flags field for the SeriesLabels record.

### setFormatFlags

    public void setFormatFlags(short field_1_formatFlags)

  Set the format flags field for the SeriesLabels record.

### setShowActual

    public void setShowActual(boolean value)

  Sets the show actual field value. show actual value of the data point

### isShowActual

    public boolean isShowActual()

  show actual value of the data point

  Returns:
    the show actual field value.

### setShowPercent

    public void setShowPercent(boolean value)

  Sets the show percent field value. show value as percentage of total (pie charts only)

### isShowPercent

    public boolean isShowPercent()

  show value as percentage of total (pie charts only)

  Returns:
    the show percent field value.

### setLabelAsPercentage

    public void setLabelAsPercentage(boolean value)

  Sets the label as percentage field value. show category label/value as percentage (pie charts only)

### isLabelAsPercentage

    public boolean isLabelAsPercentage()

  show category label/value as percentage (pie charts only)

  Returns:
    the label as percentage field value.

### setSmoothedLine

    public void setSmoothedLine(boolean value)

  Sets the smoothed line field value. show smooth line

### isSmoothedLine

    public boolean isSmoothedLine()

  show smooth line

  Returns:
    the smoothed line field value.

### setShowLabel

    public void setShowLabel(boolean value)

  Sets the show label field value. display category label

### isShowLabel

    public boolean isShowLabel()

  display category label

  Returns:
    the show label field value.

### setShowBubbleSizes

    public void setShowBubbleSizes(boolean value)

  Sets the show bubble sizes field value. ??

### isShowBubbleSizes

    public boolean isShowBubbleSizes()

  ??

  Returns:
    the show bubble sizes field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.